package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CreditUser;

/**
 * 信用人员Service接口
 * 
 * @author boman
 * @date 2022-06-10
 */
public interface ICreditUserService 
{
    /**
     * 查询信用人员
     * 
     * @param id 信用人员主键
     * @return 信用人员
     */
    public CreditUser selectCreditUserById(Long id);

    /**
     * 查询信用人员
     * @param creditUser
     * @return
     */
    public CreditUser selectCreditUser(CreditUser creditUser);

    /**
     * 查询信用人员列表
     * 
     * @param creditUser 信用人员
     * @return 信用人员集合
     */
    public List<CreditUser> selectCreditUserList(CreditUser creditUser);

    /**
     * 新增信用人员
     * 
     * @param creditUser 信用人员
     * @return 结果
     */
    public int insertCreditUser(CreditUser creditUser);

    /**
     * 修改信用人员
     * 
     * @param creditUser 信用人员
     * @return 结果
     */
    public int updateCreditUser(CreditUser creditUser);

    /**
     * 批量删除信用人员
     * 
     * @param ids 需要删除的信用人员主键集合
     * @return 结果
     */
    public int deleteCreditUserByIds(Long[] ids);

    /**
     * 删除信用人员信息
     * 
     * @param id 信用人员主键
     * @return 结果
     */
    public int deleteCreditUserById(Long id);

    String importCredit(List<CreditUser> creditUserList);

    List<CreditUser> getAllCreditUser(CreditUser creditUser);
}
